# Workflow for testing new versions

- Install new version, and ensure no errors/previous setting preserved
- Disable/Re-enable add-on for preferences reset
- Ensure `File > New`/Splash Screen empty
- Ensure operators are disabled (if they need templates)
- Add single template from prefs (select path, name should auto complete from filename)
- Ensure operators are enabled (if they need templates)
- Add from folder (the same of the previous template, but with others)
    *The folder templates (with optional nested levels) should be added, excluding aready present ones.*
- Ensure `File > New`/Splash Screen match
- Ensure `File > New`/Splash Screen works opening
- Test the Splash Screen Switch (optionally checking preference persistence across restart)
- Export the list to JSON file
- Clear all templates (from settings)
- Import the exported file
- Ensure template list match previous
- Test reordering/removing
- Enable Extra option `File > New > Start From...`
- Ensure it works (optionally checking add templates)
- Ensure it doesn't show up with ctrl + N (which would not work properly because of context)
- Test `File > Defaults > Select new template`
- Test `File > Defaults > Use current as template`
- Test `File > Defaults > Manage templates`/same as Splash Screen
- Test `Workspace menu > Add from Custom Templates` feature
- Ensure `File > New`/Splash Screen match
- Nice, version ready!
